
{: test that assignment with range error causes a fatal error }

{$d+}
program d072( output );

var
   i :  8..12;
begin
   i := 12;
   i := i+1; { range error }
   writeln( 'fails: range error not detected in assignment' );
end. { d072 }

